Noté 4 sur 5 étoiles

Is it really not compatible anymore with Firefox 3.6.* ?